/**************************************************************

File Name:		Complex_Vector_Add_test.asm
		
Date Modified:	01/05/99	RFG
				05/01/00	RFG
				09/19/04	JDT

Description:	Program to call Complex_Vector_Add.asm

**************************************************************/

#include    "def21364.h"				/* Symbol Definition File */

#define		N		8192				/* number of samples */

.extern cx_vec_add;

/* DM data */
.section/dm seg_dmda;					/* Segments are declared in the .ldf file*/
.ALIGN 2;
.var    x_input[2*N] = "indata1.dat";	/* input array of complex samples (interleaved: real[0],imag[0],real[1],imag[1]) for input data */
.ALIGN 2;
.var    output[2*N];					/* output array of complex data (interleaved: real[0],imag[0],real[1],imag[1] */


/* PM data */
.section/dm seg_pmda;
.ALIGN 2;
.var    y_input[2*N] = "indata2.dat";	/* input array of complex samples (interleaved: real[0],imag[0],real[1],imag[1]) for input data */


/* PM interrupt vector code */
.section/pm   seg_rth;
Reserved_1:     rti; nop; nop; nop;
Chip_Reset:     idle; jump start; nop; nop;


/* program memory code */
.section/pm seg_pmco;

start:

/*--------------------- Setup modify registers for arrays --------------------*/
	m0 = 2;
	
	m8 = 2;
/*----------------------------------------------------------------------------*/



/*-------------- Setup DAGs for input/output and call cx_vec_add -------------*/
	b0 = x_input;
	l0 = 0;
	
	b8 = y_input;
	l8 = 0;
	
	b1 = output;
	l1 = 0;

	call cx_vec_add (db);
	r2 = N + 1;
	nop;
/*----------------------------------------------------------------------------*/


	  
/* Terminate and wait */
wait1:	idle;
		jump wait1;
